
Base Distribution - Task # 48280

Work Package # 48275 (New): TypoScript consistency

Status: Resolved Priority: Should have
Author: Aske Ertmann Category: General / Project
Created: 2013-05-16 Assigned To: Christian Müller
Updated: 2013-05-19 Due date:
Subject: Add Eel expression support for node identifiers
Description

It should be possible to select a specific node by it's identifier using a hashed syntax like the jQuery ID selector

Example:
${q(node).children('#054f08f5-75a9-432e-9d9b-4b5f45011530')} or {$(site).find('#054f08f5-75a9-432e-9d9b-4b5f45011530')}

Associated revisions
Revision 8fcfc8a7 - 2013-05-19 13:29 - Christian Müller

[TASK] Add Identifier filter to Fizzle

This allows matching an UUID by prefixing it with "#", the filter
operation has been adapted to make use of that and filter
objects by their persistence_object_identifier.

This change also adds some minor cleanups to the AbstractParser
definition and FilterOperation PHPDoc.

Resolves: #48280
Change-Id: Id859c8c60604c46c1a90ab3686a1401dd2959281

Revision e6e97629 - 2013-05-19 19:45 - Christian Müller

[TASK] FilterOperation can work with Node Identifier

The node identifier (UUID) can now be used to filter nodes
withhin a FlowQuery operation. It needs to be prefixed with "#" 
similar to the id selector in jQuery.

Change-Id: I67c09c4649d45fbf66884b7cdbdc5ae7ecd12b70
Related: #48280

History
#1 - 2013-05-18 15:51 - Christian Müller
- Status changed from New to Accepted
- Assigned To set to Christian Müller

#2 - 2013-05-18 16:01 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20898

#3 - 2013-05-18 16:06 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20898

#4 - 2013-05-18 16:07 - Christian Müller
- Status changed from Accepted to Under Review

#5 - 2013-05-18 16:55 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20898

#6 - 2013-05-18 16:58 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20898

#7 - 2013-05-19 13:29 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20898

#8 - 2013-05-19 19:37 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8fcfc8a7faef0d05bf427f5d944a1fc21f5e191a.
